Bug 750196 - Timer to dismiss invocation banners [RFE]
Summary: Timer to dismiss invocation banners [RFE]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin
Version: 2.1
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: 2.3
: ---
Assignee: Chad Roberts
QA Contact: Peter Belanyi
URL:
Whiteboard:
Depends On:
Blocks: 876084
TreeView+ depends on / blocked
 
Reported: 2011-10-31 10:27 UTC by Stanislav Graf
Modified: 2014-11-18 02:24 UTC (History)
8 users (show)

Fixed In Version: cumin-0.1.5251-1
Doc Type: Enhancement
Doc Text:
Cause: The yellow notification banners required user interaction to dismiss them. Consequence: Sometimes the banners would tend to stack up and take up a lot of screen space. Change: We have added a configurable timeout feature for all notifications in the banner. The default value is 180 seconds, but can be changed via the notification-timeout configuration variable in cumin.conf Result: The banners will now be automatically dismissed after 180 seconds by default. If you set the value to 0, the messages will never timeout.
Clone Of:
: 876084 (view as bug list)
Environment:
Last Closed: 2013-03-06 18:39:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0564 normal SHIPPED_LIVE Low: Red Hat Enterprise MRG Grid 2.3 security update 2013-03-06 23:37:09 UTC

Description Stanislav Graf 2011-10-31 10:27:45 UTC
Description of problem:

Bug 733365, comment 5

"invocation banner":
Invocation banner never disappear. User must click on "dismiss" in order to get
rid of them.
-> can we set some timer on this?

Bug 733365, comment 6 -> RFE bug

Version-Release number of selected component (if applicable):
cumin-0.1.5098-1

How reproducible:
100%

Steps to Reproduce:
1. The node tagging functionality can be found under the Grid::Configuration
tab.  The table there will contain all of the tags that are currently in the
wallaby configure store.  
2. You can create new tags via the "Create tags" link.  
3. Tags can be deleted by checking the tags that you want to delete and then
using the "Delete tags" button that is above the tags list table.
4. When performing any action with tagging (create, remove, apply to nodes,
apply features), the status of the task will appear in the yellow "invocation
banner" at the top of the cumin interface. 
  
Actual results:
Invocation banner never disappear. User must click on "dismiss" in order to get
rid of them.

Expected results:
If user doesn't click on "dismiss", Invocation banner disappears after some time.

Additional info:

Comment 6 Chad Roberts 2012-02-23 20:10:36 UTC
This has been added in revision 5225

Comment 7 Chad Roberts 2012-02-23 20:13:28 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:  The yellow notification banners required user interaction to dismiss them.

Consequence:  Sometimes the banners would tend to stack up and take up a lot of screen space.

Change:  We have added a configurable timeout feature for all notifications in the banner.  The default value is 180 seconds, but can be changed via the notification-timeout configuration variable in cumin.conf

Result:  The banners will now be automatically dismissed after 180 seconds by default.  If you set the value to 0, the messages will never timeout.

Comment 8 Chad Roberts 2012-02-23 20:30:03 UTC
The correct version for this is 5226 on trunk...my bad.

Comment 13 Peter Belanyi 2013-01-07 14:05:58 UTC
I verified on RHEL5 and RHEL6, both i386 and x86_64, with cumin-0.1.5572-1

Comment 15 errata-xmlrpc 2013-03-06 18:39:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html


Note You need to log in before you can comment on or make changes to this bug.